Skip to main content
GET
/
orgs
/
{org_id}
/
tables
/
{table_id}
/
fields
List table fields
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "table_id": "<string>",
    "key": "<string>",
    "schema": {
      "type": "file",
      "name": "<string>",
      "description": "<string>",
      "optional": true,
      "array": true,
      "placeholder": "<string>",
      "display": {},
      "order": 1,
      "link": "<string>",
      "metadata": {},
      "allowed_modes": [],
      "broadcast_field": true,
      "integration_field": true,
      "display_field": true,
      "conditions": [
        {
          "field": "<string>",
          "value": "<unknown>"
        }
      ],
      "hidden": true,
      "picker": {
        "type": "google_drive",
        "views": [],
        "selectable_mime_types": [
          "<string>"
        ]
      },
      "requires": [
        "<string>"
      ],
      "disable_variables": true,
      "allowed_types": [
        "<string>"
      ],
      "visibility": "PRIVATE"
    },
    "readonly": true,
    "kind": "system"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

table_id
string
required

Table ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
table_id
string
required
key
string
required
type
enum<string>
required
Available options:
string,
number,
boolean,
date,
datetime,
enum,
file,
record,
contact,
user,
chat,
segment,
assistant
schema
object
required

The file type allows users to upload files

readonly
boolean
required
kind
enum<string>
required
Available options:
system